Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: partners.devices.unclaim
จัดทุกอย่างให้เป็นระเบียบอยู่เสมอด้วยคอลเล็กชัน
บันทึกและจัดหมวดหมู่เนื้อหาตามค่ากำหนดของคุณ
ถอนการอ้างสิทธิ์อุปกรณ์จากลูกค้าและนำออกจากการตั้งค่าอุปกรณ์พร้อมใช้แบบรวมกลุ่ม
คำขอ HTTP
POST https://androiddeviceprovisioning.googleapis.com/v1/partners/{partnerId}/devices:unclaim
URL ใช้ไวยากรณ์การแปลง gRPC
พารามิเตอร์เส้นทาง
| พารามิเตอร์ |
partnerId |
string (int64 format)
ต้องระบุ รหัสของพาร์ทเนอร์ตัวแทนจำหน่าย
|
เนื้อหาของคำขอ
เนื้อหาของคำขอมีข้อมูลที่มีโครงสร้างต่อไปนี้
| การแสดง JSON |
{
"sectionType": enum (DeviceProvisioningSectionType),
// Union field device_to_unclaim can be only one of the following:
"deviceId": string,
"deviceIdentifier": {
object (DeviceIdentifier)
}
// End of list of possible types for union field device_to_unclaim.
} |
| ช่อง |
sectionType |
enum (DeviceProvisioningSectionType)
ต้องระบุ ประเภทส่วนของระเบียนการจัดสรรของอุปกรณ์
|
ช่องการรวม device_to_unclaim ต้องระบุ อุปกรณ์ที่ต้องการถอนการอ้างสิทธิ์ device_to_unclaim ต้องเป็นค่าใดค่าหนึ่งต่อไปนี้ |
deviceId |
string (int64 format)
ต้องระบุ รหัสอุปกรณ์ที่ devices.claim ส่งคืน
|
deviceIdentifier |
object (DeviceIdentifier)
ต้องระบุ ตัวระบุอุปกรณ์ที่คุณใช้เมื่ออ้างสิทธิ์ในอุปกรณ์นี้
|
เนื้อหาการตอบกลับ
หากสำเร็จ เนื้อหาการตอบกลับจะว่างเปล่า
ขอบเขตการให้สิทธิ์
ต้องใช้ขอบเขต OAuth ต่อไปนี้
https://www.googleapis.com/auth/androidworkprovisioning
สำหรับข้อมูลเพิ่มเติม โปรดดูที่ภาพรวมของ OAuth 2.0
เนื้อหาของหน้าเว็บนี้ได้รับอนุญาตภายใต้ใบอนุญาตที่ต้องระบุที่มาของครีเอทีฟคอมมอนส์ 4.0 และตัวอย่างโค้ดได้รับอนุญาตภายใต้ใบอนุญาต Apache 2.0 เว้นแต่จะระบุไว้เป็นอย่างอื่น โปรดดูรายละเอียดที่นโยบายเว็บไซต์ Google Developers Java เป็นเครื่องหมายการค้าจดทะเบียนของ Oracle และ/หรือบริษัทในเครือ
อัปเดตล่าสุด 2025-07-25 UTC
[null,null,["อัปเดตล่าสุด 2025-07-25 UTC"],[],["This document details the process to unclaim a device from a customer, removing it from zero-touch enrollment. It uses a `POST` HTTP request to the endpoint: `https://androiddeviceprovisioning.googleapis.com/v1/partners/{partnerId}/devices:unclaim`, requires the `partnerId` path parameter and the `https://www.googleapis.com/auth/androidworkprovisioning` OAuth scope. The request body requires a `sectionType`, along with either a `deviceId` or a `deviceIdentifier` to specify the device to unclaim. A successful request returns an empty response body.\n"]]